## nemo-fileroller 6.4.0

=== meson_options.txt ===
option('gtk-doc', type: 'boolean', value: false)

## nemo-fileroller 1.8.0

=== debian/changelog ===
nemo-fileroller (1.8.0-1) unstable; urgency=low

  * Initial release (Closes: #707687).

 -- Benjamin Drung <bdrung@debian.org>  Thu, 01 Aug 2013 16:17:02 +0200

=== debian/control ===
Source: nemo-fileroller
Section: gnome
Priority: optional
Maintainer: Benjamin Drung <bdrung@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libglib2.0-dev (>= 2.14.0),
               libnemo-extension-dev (>= 1.0.0)
Homepage: https://github.com/linuxmint/nemo-extensions/
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cinnamon/nemo-fileroller.git
Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/nemo-fileroller.git

Package: nemo-fileroller
Architecture: any
Depends: file-roller, nemo, ${misc:Depends}, ${shlibs:Depends}
Description: File Roller integration for Nemo
 Nemo File Roller is an Nemo extension which allows you to create and extract
 archives in Nemo. This extension adds "Extract Here" (for archive files) and
 "Compress..." items to the right-click menu.

=== debian/watch ===
# Upstream does not provide a source tarball.
# You have to checkout the nemo-extensions git repository and run:
# cd nemo-fileroller && autoreconf && ./configure && make dist

## nemo-fileroller 2.0.0%2Bmaya

=== debian/changelog ===
nemo-fileroller (2.0.0+maya) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 15:43:21 +0100

nemo-fileroller (1.8.0) olivia; urgency=low

  * 1.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Apr 2013 10:42:13 +0100

nemo-fileroller (1.0.0) maya; urgency=low

  * Initial release

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 19 Sep 2012 16:21:00 +0100

=== debian/control ===
Source: nemo-fileroller
Section: non-free/gnome
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 8), libnemo-extension-dev (>= 1.0.0), libglib2.0-dev (>= 2.14.0), python-gtk2 (>= 2.12), python-docutils (>= 0.6), python (>= 2.6.6-3~), dh-autoreconf
Standards-Version: 3.9.3

Package: nemo-fileroller
Architecture: i386 amd64
Depends: nemo, procps, file-roller, python-gtk2 (>= 2.12), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: File Roller integration for Nemo
 Nemo File Roller is an extension that integrates the File Roller service with
 your Cinnamon Desktop.

## nemo-fileroller 2.0.0+lmde

=== debian/changelog ===
nemo-fileroller (2.0.0+lmde) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 15:43:21 +0100

## nemo-fileroller 2.2.0+qiana

=== debian/changelog ===
nemo-fileroller (2.2.0+qiana) qiana; urgency=medium

  * 2.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Apr 2014 16:19:07 +0100

nemo-fileroller (2.0.0) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 15:43:21 +0100

## nemo-fileroller 2.4.0+rebecca

=== debian/changelog ===
nemo-fileroller (2.4.0+rebecca) rebecca; urgency=medium

  * 2.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 01 Nov 2014 11:37:37 +0100

nemo-fileroller (2.2.0) qiana; urgency=medium

  * 2.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Apr 2014 16:19:07 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2,autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	# Don't generate a shlibs file for the plugin
	dh_makeshlibs -X/usr/lib/nemo/

override_dh_auto_install:
	dh_auto_install
	# Drop useless files
	rm -f debian/nemo-fileroller/usr/lib/nemo/extensions-*/libnemo-fileroller.a
	rm -f debian/nemo-fileroller/usr/lib/nemo/extensions-*/libnemo-fileroller.la

## nemo-fileroller 2.6.1

=== debian/changelog ===
nemo-fileroller (2.6.1-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Change package maintainer to the current Cinnamon team.

  [ Fabio Fantoni ]
  * Changed section from gnome to misc.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 13 Jul 2015 21:38:46 +0200

nemo-fileroller (2.6.1-1) unstable; urgency=low

  [ Fabio Fantoni ]
  * New upstream release.
  * Update VCS fields.
  * Bump Standards-Version to 3.9.6 (no changes needed).

  [ Maximiliano Curia ]
  * New upstream release (2.6.1).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:23:32 +0200

## nemo-fileroller 2.6.1+rafaela

=== debian/changelog ===
nemo-fileroller (2.6.1+rafaela) rafaela; urgency=medium

  * Add "Extract to.." to full context menu options (in any case)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 14 Jun 2015 13:23:48 +0200

nemo-fileroller (2.6.0) rafaela; urgency=medium

  * 2.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 02 Jun 2015 13:42:00 +0200

nemo-fileroller (2.4.0) rebecca; urgency=medium

  * 2.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 01 Nov 2014 11:37:37 +0100

=== debian/control ===
Source: nemo-fileroller
Section: misc
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               libnemo-extension-dev (>= 1.0.0),
               libglib2.0-dev (>= 2.14.0),
               dh-autoreconf
Standards-Version: 3.9.6

Package: nemo-fileroller
Architecture: i386 amd64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         nemo,
         file-roller
Description: File Roller integration for Nemo
 Nemo File Roller is an extension that integrates the File Roller service with
 your Cinnamon Desktop.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with=python2,autoreconf
+	dh $@ --with=autoreconf
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed

## nemo-fileroller 2.8.0

=== debian/changelog ===
nemo-fileroller (2.8.0-1) unstable; urgency=medium

  * New upstream release (2.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Jan 2016 20:19:38 +0100

=== debian/control ===
Source: nemo-fileroller
Section: misc
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>,
           Fabio Fantoni <fantonifabio@tiscali.it>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libglib2.0-dev (>= 2.14.0),
               libnemo-extension-dev (>= 1.0.0)
Homepage: https://github.com/linuxmint/nemo-extensions/
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cinnamon/nemo-fileroller.git
Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/nemo-fileroller.git

Package: nemo-fileroller
Architecture: any
Depends: file-roller, nemo, ${misc:Depends}, ${shlibs:Depends}
Description: File Roller integration for Nemo
 Nemo File Roller is an Nemo extension which allows you to create and extract
 archives in Nemo. This extension adds "Extract Here" (for archive files) and
 "Compress..." items to the right-click menu.

=== debian/watch ===
version=3
http://packages.linuxmint.com/pool/main/n/nemo-fileroller/ \
    nemo-fileroller_([\d.]+)%2b[\w\d]+\.tar\.gz

## nemo-fileroller 2.8.0+rosa

=== debian/changelog ===
nemo-fileroller (2.8.0+rosa) rosa; urgency=medium

  * 2.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Oct 2015 23:24:04 +0100

nemo-fileroller (2.6.1) rafaela; urgency=medium

  * Add "Extract to.." to full context menu options (in any case)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 14 Jun 2015 13:23:48 +0200

## nemo-fileroller 3.0.0

=== debian/changelog ===
nemo-fileroller (3.0.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Margarita Manterola <marga@debian.org>  Sun, 29 May 2016 15:50:21 +0200

nemo-fileroller (3.0.0-1~) unstable; urgency=medium

  * New upstream release (3.0.0).
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Sun, 15 May 2016 12:45:32 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libglib2.0-dev (>= 2.14.0),
                libnemo-extension-dev (>= 1.0.0)
 Homepage: https://github.com/linuxmint/nemo-extensions/
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cinnamon/nemo-fileroller.git
-Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/nemo-fileroller.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/nemo-fileroller.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/nemo-fileroller.git
 
 Package: nemo-fileroller
 Architecture: any

## nemo-fileroller 3.0.0+sarah

=== debian/changelog ===
nemo-fileroller (3.0.0+sarah) sarah; urgency=medium

  * 3.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Apr 2016 12:50:20 +0100

nemo-fileroller (2.8.0) rosa; urgency=medium

  * 2.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Oct 2015 23:24:04 +0100

## nemo-fileroller 3.2.1

=== debian/changelog ===
nemo-fileroller (3.2.1-2) unstable; urgency=medium

  * Release to unstable

 -- Margarita Manterola <marga@debian.org>  Tue, 20 Dec 2016 20:35:35 -0300

nemo-fileroller (3.2.1-1) experimental; urgency=medium

  [ Margarita Manterola ]
  * New upstream release.

  [ Maximiliano Curia ]
  * New upstream release (3.2.1).
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Sat, 17 Dec 2016 20:29:40 +0100

nemo-fileroller (3.0.0-2~) unstable; urgency=medium

  * cross.patch: use a triplet-prefixed pkg-config. (Closes: #843800)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 16:02:51 +0200

## nemo-fileroller 3.2.1+serena

=== debian/changelog ===
nemo-fileroller (3.2.1+serena) serena; urgency=medium

  * 3.2.1

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 10 Dec 2016 12:55:46 +0000

nemo-fileroller (3.2.0) serena; urgency=medium

  * 3.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 11:33:47 +0000

nemo-fileroller (3.0.0) sarah; urgency=medium

  * 3.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Apr 2016 12:50:20 +0100

## nemo-fileroller 3.4.0

=== debian/changelog ===
nemo-fileroller (3.4.0-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 07:35:35 +0200

nemo-fileroller (3.4.0-1) experimental; urgency=medium

  * New upstream release (3.4.0).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Aug 2017 17:31:53 +0200

## nemo-fileroller 3.4.0+betsy

=== debian/changelog ===
nemo-fileroller (3.4.0+betsy) sonya; urgency=medium

  * 3.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 May 2017 11:49:38 +0100

nemo-fileroller (3.2.1) serena; urgency=medium

  * 3.2.1

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 10 Dec 2016 12:55:46 +0000

## nemo-fileroller 3.4.0+sonya

=== debian/changelog ===
nemo-fileroller (3.4.0+sonya) sonya; urgency=medium

  * 3.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 May 2017 11:49:38 +0100

## nemo-fileroller 3.6.0

=== debian/changelog ===
nemo-fileroller (3.6.0-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.6.0).
  * Add cinnamon-l10n to recommends.

  [ Maximiliano Curia ]
  * Use the salsa canonical urls
  * Set new ml as Maintainer
  * Update debian/watch, section changed to backport
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper build-dep and compat to 11.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Mar 2018 15:07:12 +0200

=== debian/control ===
Source: nemo-fileroller
Section: misc
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 debhelper (>= 11~),
 dh-autoreconf,
 libglib2.0-dev (>= 2.14.0),
 libnemo-extension-dev (>= 1.0.0),
Homepage: https://github.com/linuxmint/nemo-extensions/
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-fileroller
Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-fileroller.git

Package: nemo-fileroller
Architecture: any
Depends: file-roller, nemo, ${misc:Depends}, ${shlibs:Depends}
Recommends: cinnamon-l10n
Description: File Roller integration for Nemo
 Nemo File Roller is an Nemo extension which allows you to create and extract
 archives in Nemo. This extension adds "Extract Here" (for archive files) and
 "Compress..." items to the right-click menu.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

override_dh_auto_install:
	dh_auto_install
	# Drop useless files
	find debian/ -name '*.la' -delete

# Don't generate a shlibs file for the plugin
override_dh_makeshlibs:

=== debian/watch ===
version=3
http://packages.linuxmint.com/pool/backport/n/nemo-fileroller/ \
    nemo-fileroller_([\d.]+)%2b[\w\d]+\.tar\.gz

## nemo-fileroller 3.6.0+sylvia

=== debian/changelog ===
nemo-fileroller (3.6.0+sylvia) sylvia; urgency=medium

  * 3.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Oct 2017 11:58:54 +0100

nemo-fileroller (3.4.0) sonya; urgency=medium

  * 3.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 May 2017 11:49:38 +0100

## nemo-fileroller 3.8.0

=== debian/changelog ===
nemo-fileroller (3.8.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 06 Jan 2019 14:13:15 -0800

nemo-fileroller (3.8.0-2) unstable; urgency=medium

  * New revision
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 07 Aug 2018 14:51:45 +0200

nemo-fileroller (3.8.0-1) experimental; urgency=medium

  * Drop dh-autoreconf (no longer needed with dh >= 10)
  * New upstream release (3.8.0).
  * Bump Standards-Version to 4.1.4.
  * Enable hardening bindnow
  * Bump group breaks (3.8)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 14:30:21 +0200

=== debian/control ===
Source: nemo-fileroller
Section: misc
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 debhelper (>= 11~),
 libglib2.0-dev (>= 2.14.0),
 libnemo-extension-dev (>= 1.0.0),
Homepage: https://github.com/linuxmint/nemo-extensions/
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-fileroller
Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-fileroller.git

Package: nemo-fileroller
Architecture: any
Depends: file-roller, nemo (>= 3.8), ${misc:Depends}, ${shlibs:Depends}
Recommends: cinnamon-l10n (>= 3.8)
Description: File Roller integration for Nemo
 Nemo File Roller is an Nemo extension which allows you to create and extract
 archives in Nemo. This extension adds "Extract Here" (for archive files) and
 "Compress..." items to the right-click menu.

## nemo-fileroller 3.8.0%2Btara

=== debian/changelog ===
nemo-fileroller (3.8.0+tara) tara; urgency=medium

  * 3.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 May 2018 13:09:46 +0100

nemo-fileroller (3.6.0) sylvia; urgency=medium

  * 3.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Oct 2017 11:58:54 +0100

## nemo-fileroller 4.0.0

=== debian/changelog ===
nemo-fileroller (4.0.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Convert from native to (quilt) source format.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Mar 2019 08:40:18 -0700

nemo-fileroller (4.0.0) tessa; urgency=medium

  * 4.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Nov 2018 13:53:56 +0000

nemo-fileroller (3.8.0) tara; urgency=medium

  * 3.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 May 2018 13:09:46 +0100

=== debian/control ===
Source: nemo-fileroller
Section: misc
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends:
 debhelper (>= 10),
 libglib2.0-dev (>= 2.14.0),
 libnemo-extension-dev (>= 1.0.0),
Standards-Version: 3.9.6

Package: nemo-fileroller
Architecture: any
Depends: file-roller, nemo, ${misc:Depends}, ${shlibs:Depends}
Recommends: cinnamon-l10n
Description: File Roller integration for Nemo
 Nemo File Roller is an Nemo extension which allows you to create and extract
 archives in Nemo. This extension adds "Extract Here" (for archive files) and
 "Compress..." items to the right-click menu.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

override_dh_auto_install:
	dh_auto_install
	# Drop useless files
	find debian/ -name '*.la' -delete

## nemo-fileroller 4.0.0%2Btessa

=== debian/changelog ===
nemo-fileroller (4.0.0+tessa) tessa; urgency=medium

  * 4.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Nov 2018 13:53:56 +0000

## nemo-fileroller 4.2.0%2Btina

=== debian/changelog ===
nemo-fileroller (4.2.0+tina) tina; urgency=medium

  * 4.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 15:51:11 +0200

## nemo-fileroller 4.4.0

=== debian/changelog ===
nemo-fileroller (4.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Feb 2020 08:44:19 +0900

nemo-fileroller (4.4.0-1) experimental; urgency=medium

  * New upstream version 4.4.0

 -- Norbert Preining <norbert@preining.info>  Sun, 19 Jan 2020 15:56:27 +0900

nemo-fileroller (4.2.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Sep 2019 22:28:31 +0900

nemo-fileroller (4.2.0-1) experimental; urgency=medium

  * New upstream release (4.2.0).
  * add myself to uploaders, release to experimental

 -- Norbert Preining <norbert@preining.info>  Sun, 01 Sep 2019 11:00:23 +0900

nemo-fileroller (4.0.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (4.0.0).

  [ Maximiliano Curia ]
  * Add a basic gbp.conf
  * Add a debian/salsa-ci.yml file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Aug 2019 12:04:53 -0300

=== debian/control ===
Source: nemo-fileroller
Section: misc
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>
Build-Depends:
 debhelper (>= 11~),
 libglib2.0-dev (>= 2.14.0),
 libnemo-extension-dev (>= 4.4),
Homepage: https://github.com/linuxmint/nemo-extensions/
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-fileroller
Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-fileroller.git

Package: nemo-fileroller
Architecture: any
Depends: file-roller, nemo (>= 4.4), ${misc:Depends}, ${shlibs:Depends}
Recommends: cinnamon-l10n (>= 4.4)
Description: File Roller integration for Nemo
 Nemo File Roller is an Nemo extension which allows you to create and extract
 archives in Nemo. This extension adds "Extract Here" (for archive files) and
 "Compress..." items to the right-click menu.

## nemo-fileroller 4.6.0

=== debian/changelog ===
nemo-fileroller (4.6.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Jun 2020 11:01:05 +0900

nemo-fileroller (4.6.0-1) experimental; urgency=medium

  * New upstream version 4.6.0

 -- Norbert Preining <norbert@preining.info>  Sat, 30 May 2020 23:31:25 +0900

## nemo-fileroller 4.6.0+ulyana

=== debian/changelog ===
nemo-fileroller (4.6.0+ulyana) ulyana; urgency=medium

  * 4.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 May 2020 14:19:46 +0100

nemo-fileroller (4.4.0) tricia; urgency=medium

  * 4.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 15:58:14 +0100

nemo-fileroller (4.2.0) tina; urgency=medium

  * 4.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 15:51:11 +0200

## nemo-fileroller 4.8.0

=== debian/changelog ===
nemo-fileroller (4.8.0-1) unstable; urgency=medium

  * New upstream version 4.8.0

 -- Norbert Preining <norbert@preining.info>  Thu, 17 Dec 2020 05:48:32 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends:
  debhelper (>= 11~),
  libglib2.0-dev (>= 2.14.0),
- libnemo-extension-dev (>= 4.4),
+ libnemo-extension-dev (>= 4.6),
 Homepage: https://github.com/linuxmint/nemo-extensions/
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-fileroller
@@ -18,8 +18,8 @@
 
 Package: nemo-fileroller
 Architecture: any
-Depends: file-roller, nemo (>= 4.4), ${misc:Depends}, ${shlibs:Depends}
-Recommends: cinnamon-l10n (>= 4.4)
+Depends: file-roller, nemo (>= 4.6), ${misc:Depends}, ${shlibs:Depends}
+Recommends: cinnamon-l10n (>= 4.6)
 Description: File Roller integration for Nemo
  Nemo File Roller is an Nemo extension which allows you to create and extract
  archives in Nemo. This extension adds "Extract Here" (for archive files) and

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 	dh_auto_install
 	# Drop useless files
 	find debian/ -name '*.la' -delete
+
+# Don't generate a shlibs file for the plugin
+override_dh_makeshlibs:

=== debian/watch ===
version=3
http://packages.linuxmint.com/pool/backport/n/nemo-fileroller/ \
    nemo-fileroller_([\d.]+)%2b[\w\d]+@ARCHIVE_EXT@

## nemo-fileroller 5.0.1%2Bdebbie

=== debian/changelog ===
nemo-fileroller (5.0.1+debbie) uma; urgency=medium

  * 5.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 17:06:09 +0100

nemo-fileroller (5.0.0) uma; urgency=medium

  * 5.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 31 May 2021 12:43:26 +0100

nemo-fileroller (4.8.0) ulyssa; urgency=medium

  * 4.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Nov 2020 14:15:23 +0000

nemo-fileroller (4.6.0) ulyana; urgency=medium

  * 4.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 May 2020 14:19:46 +0100

## nemo-fileroller 5.0.1+uma

=== debian/changelog ===
nemo-fileroller (5.0.1+uma) uma; urgency=medium

  * 5.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 17:06:09 +0100

## nemo-fileroller 5.2.0

=== debian/changelog ===
nemo-fileroller (5.2.0-2) unstable; urgency=medium

  * add myself to uploaders
  * prepare unstable release

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 26 Jan 2022 11:43:44 +0100

nemo-fileroller (5.2.0-1) experimental; urgency=medium

  * New upstream version 5.2.0
  * d/rules: hardening from bindnow to all

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 08 Dec 2021 15:51:46 +0100

nemo-fileroller (5.0.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 29 Sep 2021 20:20:04 +0900

nemo-fileroller (5.0.1-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 5.0.1
  * Use debhelper-compat and dump to dh-compat 13

 -- Norbert Preining <norbert@preining.info>  Mon, 23 Aug 2021 13:26:57 +0900

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,14 @@
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
- Norbert Preining <norbert@preining.info>
+ Norbert Preining <norbert@preining.info>,
+ Joshua Peisach <itzswirlz2020@outlook.com>,
+ Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  libglib2.0-dev (>= 2.14.0),
  libnemo-extension-dev (>= 4.6),
+ meson,
 Homepage: https://github.com/linuxmint/nemo-extensions/
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-fileroller

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Don't generate a shlibs file for the plugin
override_dh_makeshlibs:

## nemo-fileroller 5.2.0%2Buna

=== debian/changelog ===
nemo-fileroller (5.2.0+una) una; urgency=medium

  * 5.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 13:29:51 +0000

nemo-fileroller (5.0.1) uma; urgency=medium

  * 5.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 17:06:09 +0100

## nemo-fileroller 5.2.0+elsie

=== debian/changelog ===
nemo-fileroller (5.2.0+elsie) una; urgency=medium

  * 5.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 13:29:51 +0000

## nemo-fileroller 5.2.0+vanessa

=== debian/changelog ===
nemo-fileroller (5.2.0+vanessa) una; urgency=medium

  * 5.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 13:29:51 +0000

## nemo-fileroller 5.4.0+vanessa

=== debian/changelog ===
nemo-fileroller (5.4.0+vanessa) vanessa; urgency=medium

  * 5.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 15:14:05 +0200

nemo-fileroller (5.2.0) una; urgency=medium

  * 5.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 13:29:51 +0000

## nemo-fileroller 5.4.1+ds

=== debian/changelog ===
nemo-fileroller (5.4.1+ds-1) unstable; urgency=medium

  * Repack excluding .buildinfo and .changes files from upstream source
  * New upstream version 5.4.1

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 31 Jul 2022 20:59:46 +0200

nemo-fileroller (5.4.0-1) unstable; urgency=medium

  * New upstream version 5.4.0
  * Specify that rules don't require root
  * Bumped Standards-Version to 4.6.1
  * Update d/watch

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 01 Jul 2022 14:03:44 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
  libnemo-extension-dev (>= 4.6),
  meson,
 Homepage: https://github.com/linuxmint/nemo-extensions/
-Standards-Version: 4.1.4
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-fileroller
 Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-fileroller.git

## nemo-fileroller 5.4.1+elsie

=== debian/changelog ===
nemo-fileroller (5.4.1+elsie) vanessa; urgency=medium

  * 5.4.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 16:03:26 +0200

nemo-fileroller (5.4.0) vanessa; urgency=medium

  * 5.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 15:14:05 +0200

## nemo-fileroller 5.4.1+vanessa

=== debian/changelog ===
nemo-fileroller (5.4.1+vanessa) vanessa; urgency=medium

  * 5.4.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 16:03:26 +0200

## nemo-fileroller 5.6.0+vera

=== debian/changelog ===
nemo-fileroller (5.6.0+vera) vera; urgency=medium

  * 5.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 Nov 2022 12:10:50 +0000

nemo-fileroller (5.4.1) vanessa; urgency=medium

  * 5.4.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 16:03:26 +0200

## nemo-fileroller 5.6.1

=== debian/changelog ===
nemo-fileroller (5.6.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Fabio Fantoni ]
  * Update d/watch and remove repack as not needed anymore
  * New upstream version 5.6.1

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 03 Dec 2022 13:42:06 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
  debhelper-compat (= 13),
- libglib2.0-dev (>= 2.14.0),
+ libglib2.0-dev,
  libnemo-extension-dev (>= 4.6),
  meson,
 Homepage: https://github.com/linuxmint/nemo-extensions/

=== debian/watch ===
version=4
http://packages.linuxmint.com/pool/backport/n/nemo-fileroller/ \
    nemo-fileroller_([\d.]+)+@ARCHIVE_EXT@

## nemo-fileroller 5.6.1%2Belsie

=== debian/changelog ===
nemo-fileroller (5.6.1+elsie) vera; urgency=medium

  * 5.6.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 17:59:45 +0000

nemo-fileroller (5.6.0) vera; urgency=medium

  * 5.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 Nov 2022 12:10:50 +0000

## nemo-fileroller 5.8.0+faye

=== debian/changelog ===
nemo-fileroller (5.8.0+faye) victoria; urgency=medium

  * 5.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 14:10:40 +0100

nemo-fileroller (5.6.1) vera; urgency=medium

  * 5.6.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 17:59:45 +0000

## nemo-fileroller 5.8.0+victoria

=== debian/changelog ===
nemo-fileroller (5.8.0+victoria) victoria; urgency=medium

  * 5.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 14:10:40 +0100

## nemo-fileroller 6.0.0+ds

=== debian/changelog ===
nemo-fileroller (6.0.0+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:20:30 +0000

nemo-fileroller (6.0.0+ds-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:49:11 +0000

nemo-fileroller (6.0.0+ds-1) unstable; urgency=medium

  * d/watch: readd additional mint name after version
  * New upstream version 6.0.0
  * Update standards version to 4.6.2, no changes needed
  * Readd repack for 2 files to exclude as returned

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 20 Nov 2023 19:19:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nemo-fileroller
 Section: misc
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -15,7 +16,7 @@
  libnemo-extension-dev (>= 4.6),
  meson,
 Homepage: https://github.com/linuxmint/nemo-extensions/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-fileroller
 Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-fileroller.git

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds//,repack" \
http://packages.linuxmint.com/pool/backport/n/nemo-fileroller/ \
    nemo-fileroller_([\d.]+)%2b[\w\d]+@ARCHIVE_EXT@

## nemo-fileroller 6.0.1+faye

=== debian/changelog ===
nemo-fileroller (6.0.1+faye) virginia; urgency=medium

  * 6.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Dec 2023 15:49:59 +0000

nemo-fileroller (6.0.0) virginia; urgency=medium

  * 6.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 14:33:20 +0000

nemo-fileroller (5.8.0) victoria; urgency=medium

  * 5.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 14:10:40 +0100

## nemo-fileroller 6.0.1+virginia

=== debian/changelog ===
nemo-fileroller (6.0.1+virginia) virginia; urgency=medium

  * 6.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Dec 2023 15:49:59 +0000

## nemo-fileroller 6.0.1+wilma

=== debian/changelog ===
nemo-fileroller (6.0.1+wilma) virginia; urgency=medium

  * 6.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Dec 2023 15:49:59 +0000

## nemo-fileroller 6.2.0

=== debian/changelog ===
nemo-fileroller (6.2.0-1) unstable; urgency=medium

  * d/watch: update supporting 3 different source name used
  * New upstream version 6.2.0
  * Update standards version to 4.7.0, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 08 Jul 2024 20:29:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nemo-fileroller
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -16,7 +15,7 @@
  libnemo-extension-dev (>= 4.6),
  meson,
 Homepage: https://github.com/linuxmint/nemo-extensions/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-fileroller
 Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-fileroller.git

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds//,repack" \
http://packages.linuxmint.com/pool/backport/n/nemo-fileroller/ \
    nemo-fileroller_([\d.]+)[\w%2b\+]+@ARCHIVE_EXT@

## nemo-fileroller 6.2.0+faye

=== debian/changelog ===
nemo-fileroller (6.2.0+faye) wilma; urgency=medium

  * 6.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Jun 2024 11:50:50 +0100

nemo-fileroller (6.0.1) virginia; urgency=medium

  * 6.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Dec 2023 15:49:59 +0000

## nemo-fileroller 6.4.0

=== debian/changelog ===
nemo-fileroller (6.4.0-1) unstable; urgency=medium

  * New upstream version 6.4.0
  * d/gbp.conf: switch to DEP 14 and other improvements
  * Update standards version to 4.7.2, no changes needed
  * d/salsa-ci: improve include of default config

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 13 Apr 2025 15:43:07 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libnemo-extension-dev (>= 4.6),
  meson,
 Homepage: https://github.com/linuxmint/nemo-extensions/
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-fileroller
 Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-fileroller.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Don't generate a shlibs file for the plugin
override_dh_makeshlibs:

## nemo-fileroller 6.4.0%2Bxia

=== debian/changelog ===
nemo-fileroller (6.4.0+xia) xia; urgency=medium

  * 6.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 12:54:36 +0000

nemo-fileroller (6.2.0) wilma; urgency=medium

  * 6.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Jun 2024 11:50:50 +0100

## nemo-fileroller 6.4.0+faye

=== debian/changelog ===
nemo-fileroller (6.4.0+faye) xia; urgency=medium

  * 6.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 12:54:36 +0000

## nemo-fileroller 6.4.0+gigi

=== debian/changelog ===
nemo-fileroller (6.4.0+gigi) xia; urgency=medium

  * 6.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 12:54:36 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --buildsystem=meson

# Don't generate a shlibs file for the plugin
override_dh_makeshlibs:

## nemo-fileroller 6.6.0

=== debian/changelog ===
nemo-fileroller (6.6.0-1) unstable; urgency=medium

  * New upstream version 6.6.0
  * debian/control
    + Update standards version to 4.7.3
    + Remove Rules-Requires-Root field
    + Add myself as Uploader
  * debian/copyright
    + Add Debian Cinnamon Team to debian/* copyright
  * debian/source/lintian-overrides
    + Add lintian override for repackaged-source-not-advertised,
      as upstream may re-include those files in future releases
    + Add lintian override for debian-watch-uses-insecure-uri

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 27 Feb 2026 19:24:35 -0500

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
  Fabio Fantoni <fantonifabio@tiscali.it>,
  Norbert Preining <norbert@preining.info>,
  Joshua Peisach <itzswirlz2020@outlook.com>,
- Christoph Martin <martin@uni-mainz.de>
+ Christoph Martin <martin@uni-mainz.de>,
+ Daniel Echeverri <epsilon@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libglib2.0-dev,
  libnemo-extension-dev (>= 4.6),
  meson,
 Homepage: https://github.com/linuxmint/nemo-extensions/
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-fileroller
 Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-fileroller.git

## nemo-fileroller 6.6.0+gigi

=== debian/changelog ===
nemo-fileroller (6.6.0+gigi) zena; urgency=medium

  * 6.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Nov 2025 14:48:32 +0000

nemo-fileroller (6.4.0) xia; urgency=medium

  * 6.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 12:54:36 +0000

## nemo-fileroller 6.6.0+zena

=== debian/changelog ===
nemo-fileroller (6.6.0+zena) zena; urgency=medium

  * 6.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Nov 2025 14:48:32 +0000
